import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-cf23577f.js';
export { dL as ArgumentsType, cC as AsyncMutex, cY as AsyncReturnType, _ as BinInput, d as CRYPTO_DEFAULT_ALG, e as CRYPTO_DEFAULT_DERIVE_ALG, f as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, dj as Channel, di as ChannelMessageEvent, dy as CryptoEncoder, ay as DAY_MS, aX as Day, aA as DayInput, aW as DayInputLegacy, az as DayValue, b1 as DecimalInput, b0 as DecimalValue, dq as DefaultListener, cs as Disposable, cr as Disposer, cq as DisposerFunction, dr as Emitter, dn as EmitterAllHandler, dm as EmitterHandler, dv as Encoder, bu as FilterFunction, dx as JsonEncoder, dp as ListenerSignature, dk as LocalChannel, d6 as LogLevel, d7 as LogLevelAlias, d8 as LogLevelAliasKey, d9 as LogMessage, d5 as Logger, dc as LoggerConsoleHandler, db as LoggerContext, da as LoggerContextInterface, dh as LoggerMemoryHandler, bv as MapperFunction, e5 as MemStorage, e4 as MemStorageOptions, dB as Message, dz as MessageAction, dF as MessageDefinitions, dG as MessageHub, dA as MessageResult, dD as MessagesDefaultMethods, dE as MessagesMethods, dC as MessagesOptions, cB as Mutex, e9 as NestedArray, dw as NoopEncoder, cL as Pool, cH as PoolTask, cJ as PoolTaskEvents, cF as PoolTaskFn, cI as PoolTaskIdConflictResolution, cG as PoolTaskState, bb as Primitive, cM as Progress, dJ as PubSub, dO as RPCFn, dN as RPCOptions, dP as RPCReturn, au as RenderMessagesOptions, dM as ReturnType, bU as RoundingMode, c$ as SerialQueue, c3 as SortableItem, c_ as TaskEvents, cZ as TaskFn, ae as Uint8ArrayToHexDump, ad as Uint8ArrayToJson, a2 as Uint8ArrayToString, cx as UseDefer, cu as UseDispose, cp as XRX, a0 as _decodeUtf8Polyfill, $ as _encodeUtf8Polyfill, M as arrayAvg, N as arrayBatches, y as arrayEmptyInPlace, w as arrayFilterInPlace, q as arrayFlatten, s as arrayIntersection, B as arrayIsEqual, H as arrayMax, I as arrayMin, o as arrayMinus, G as arrayRandomElement, u as arrayRemoveElement, v as arraySetElement, E as arrayShuffle, F as arrayShuffleForce, D as arrayShuffleInPlace, z as arraySorted, A as arraySortedNumbers, K as arraySum, t as arraySymmetricDifference, x as arrayToggleInPlace, p as arrayUnion, n as arrayUnique, bH as avg, bF as between, cj as cloneJsonObject, ci as cloneObject, bQ as cmp, bP as composeOrderby, P as createArray, dl as createLocalChannelPair, cN as createPromise, dH as createPromiseProxy, l as csvParse, m as csvParseToObjects, k as csvStringify, a$ as dateStringToDays, a_ as day, aD as dayDay, aT as dayDiff, aH as dayFromAny, aJ as dayFromDate, aK as dayFromDateGMT, aO as dayFromParts, aP as dayFromString, aM as dayFromTimestamp, aG as dayFromToday, aV as dayIterator, aC as dayMonth, aQ as dayMonthStart, aS as dayOffset, aU as dayRange, aF as dayToDate, aI as dayToDateGMT, aE as dayToParts, aN as dayToString, aL as dayToTimestamp, aB as dayYear, aR as dayYearStart, d1 as debounce, b2 as decimal, b5 as decimalCentsPart, b3 as decimalFromCents, b4 as decimalToCents, U as decodeBase16, R as decodeBase32, W as decodeBase58, Y as decodeBase62, j as decrypt, b6 as deepEqual, b8 as deepMerge, b7 as deepStripUndefinedInPlace, h as deriveKeyPbkdf2, e0 as detect, g as digest, ch as empty, T as encodeBase16, Q as encodeBase32, V as encodeBase58, X as encodeBase62, cb as encodeQuery, i as encrypt, c5 as endSortWeight, cd as ensureKey, ce as ensureKeyAsync, ab as equalBinary, b9 as escapeHTML, bT as escapeRegExp, Z as estimateSizeForBase, dT as fetchBasic, dU as fetchJson, dY as fetchOptionsBasicAuth, dW as fetchOptionsFormURLEncoded, dX as fetchOptionsJson, dV as fetchText, ax as fixBrokenUth8String, aY as forEachDay, cm as forTimes, av as formatMessages, e7 as formatMilliseconds, a9 as fromBase64, aa as fromBase64String, ai as fromCamelCase, a6 as fromHex, d$ as getGlobal, d2 as getGlobalContext, ds as getGlobalEmitter, d4 as getGlobalLogger, dd as getNamespaceFilterString, d_ as getNavigator, bA as getSecureRandom, bB as getSecureRandomIfPossible, e6 as getTimestamp, dZ as getWindow, dR as httpMethod, cP as immediate, be as isArray, bl as isBoolean, e1 as isBrowser, bW as isEven, bV as isHalf, bj as isInteger, d3 as isLocalHost, bp as isNotNull, bn as isNull, bm as isNullOrUndefined, bi as isNumber, bc as isObject, bJ as isPrime, bI as isPrimeRX, bd as isPrimitive, cW as isPromise, bf as isRecord, bg as isRecordPlain, bk as isSafeInteger, bh as isString, cT as isTimeout, bo as isUint8Array, bq as isValue, a4 as joinToUint8Array, bt as jsonStringify, bs as jsonStringifySafe, br as jsonStringifySorted, ac as jsonToUint8Array, cg as last, du as lazyListener, c9 as linkifyPlainText, by as listDistinctUnion, bx as listGroupBy, bz as listOfKey, bw as listQuery, ck as memoize, cl as memoizeAsync, dt as messages, c6 as moveSortWeight, ea as noop, bN as objectIsEmpty, bL as objectMap, bM as objectMergeDisposable, dS as parseBasicAuth, e8 as parseDate, df as parseLogLevel, bO as parseOrderby, cc as parseQuery, e2 as platform, cX as promisify, ew as qid, bC as randomBoolean, bE as randomFloat, bD as randomInt, r as randomUint8Array, co as regExpEscape, cn as regExpString, aw as renderMessages, bY as roundDown, b$ as roundHalfAwayFromZero, c0 as roundHalfDown, c1 as roundHalfEven, b_ as roundHalfOdd, c2 as roundHalfTowardsZero, bZ as roundHalfUp, bX as roundUp, bK as seededRandom, eq as setUuidDefaultEncoding, cf as size, cO as sleep, c7 as sortedItems, bR as sortedOrderby, c4 as startSortWeight, aj as stringToBoolean, al as stringToFloat, ak as stringToInteger, a1 as stringToUInt8Array, em as suid, el as suidBytes, eo as suidBytesDate, en as suidDate, bG as sum, d0 as throttle, cR as timeout, cQ as timeoutReached, cS as timoutError, a7 as toBase64, a8 as toBase64Url, at as toBool, af as toCamelCase, ag as toCapitalize, ah as toCapitalizeWords, aq as toFloat, a5 as toHex, ca as toHumanReadableUrl, ar as toInt, as as toString, a3 as toUint8Array, bS as toValidFilename, aZ as today, cU as tryTimeout, ev as uname, ba as unescapeHTML, cE as useAsyncMutex, S as useBase, cw as useDefer, ct as useDispose, cv as useDisposer, cA as useEventListener, e3 as useExitHandler, cz as useInterval, dg as useLevelFilter, dI as useMessageHub, cD as useMutex, de as useNamespaceFilter, cK as usePool, dK as usePubSub, dQ as useRPC, c8 as useSorted, cy as useTimeout, er as uuid, ep as uuid32bit, ef as uuidB32, ec as uuidB62, eb as uuidBytes, es as uuidDecode, eh as uuidDecodeB32, ee as uuidDecodeB62, ek as uuidDecodeV4, et as uuidEncode, eg as uuidEncodeB32, ed as uuidEncodeB62, ej as uuidEncodeV4, eu as uuidIsValid, ei as uuidv4, am as valueToBoolean, ao as valueToFloat, an as valueToInteger, ap as valueToString, cV as waitOn } from './uuid-cf23577f.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { Json, LocalStorage, LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
